> For the complete documentation index, see [llms.txt](https://docs.olziedev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.olziedev.com/projects/playerwarps/restapi/events/playerwarprentevent.md).

# PlayerWarpRentEvent

This event is called when a player rents a warp, you can view the JavaDocs for this event [here](https://javadocs.olziedev.com/playerwarps/com/olziedev/playerwarps/api/events/warp/PlayerWarpRentEvent.html).

## **Received Data**

Once the event is triggered, you will receive a JSON object containing the data below:

```json
{
  "type" : "EVENT_TRIGGERED",
  "name" : "PlayerWarpRentEvent",
  "event" : {
    "cancelled" : false,
    "playerWarp" : {
      "id" : 51,
      "warpName" : "testing2",
      "warpLocation" : {
        "world" : "world",
        "x" : -1696.604230492617,
        "y" : 85.53986305993527,
        "z" : -71.72780318647382,
        "yaw" : -22.475004,
        "pitch" : 43.49976,
        "locationSafe" : false,
        "warpServer" : "N/A",
        "properLocation" : {
          "world" : "world",
          "x" : -1696.604230492617,
          "y" : 85.53986305993527,
          "z" : -71.72780318647382,
          "yaw" : -22.475004,
          "pitch" : 43.49976
        },
        "worldType" : "world"
      },
      "warpRate" : {
        "earnedRateRewards" : [ ],
        "rates" : { },
        "rateAverage" : 0.0,
        "totalRates" : 0,
        "playersRatedAmount" : 0
      },
      "warpCategory" : [ {
        "name" : "shops",
        "teleportPrice" : -1.0,
        "purgeTime" : 40,
        "permission" : "pw.view.shop",
        "removeDaysTime" : 40,
        "all" : false,
        "icon" : {
          "type" : "CHEST",
          "meta" : {
            "display-name" : "{\"text\":\"\",\"extra\":[{\"text\":\"Shop Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
            "lore" : [ "{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the shop warps.\",\"color\":\"aqua\"}],\"italic\":false}" ],
            "PublicBukkitValues" : "{\n    \"playerwarps:itemtag_item\": \"1\"\n}",
            "blockMaterial" : "CHEST"
          }
        },
        "displayName" : "Shops"
      } ],
      "warpIcon" : {
        "warpIcon" : null
      },
      "warpRent" : {
        "warpLastRent" : 0,
        "warpNewRent" : 86400000
      },
      "warpVisit" : {
        "warpVisits" : 0,
        "purgedWarpVisits" : 0,
        "warpVisitedBoosted" : [ ],
        "warpVisited" : [ ]
      },
      "warpDate" : 0,
      "warpType" : "NORMAL",
      "warpCost" : null,
      "paid" : [ ],
      "banned" : [ ],
      "whitelisted" : [ ],
      "managers" : [ ],
      "whitelistEnabled" : false,
      "warpLocked" : false,
      "warpPassword" : null,
      "sponsorWarp" : null,
      "sponsorCooldown" : null,
      "randomSort" : 3,
      "warpPlayer" : {
        "uuid" : "5ca251ab-589d-4f04-8f0c-28404d0686b0",
        "messages" : [ ],
        "sponsorCooldown" : null,
        "staticWarps" : 0,
        "logs" : [ ],
        "earnedRateRewards" : [ ],
        "lastPlayed" : 1735604687662,
        "pendingWarp" : null,
        "maxWarpCostPrice" : 500.0,
        "minWarpCostPrice" : -1.0,
        "priceFreeLimit" : -1,
        "waitTeleportTime" : 3,
        "maximumWarps" : 9223372036854775807,
        "prettyMaximumWarps" : "Unlimited",
        "name" : "ForgotUrPassword",
        "language" : "en_gb"
      },
      "favoriteCount" : 0,
      "warpDisplayName" : "testing2"
    },
    "rentType" : "SUCCESS",
    "price" : 500.0,
    "asynchronous" : true
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/restapi/events/playerwarprentevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
